<html>
<head>
<title>OGRE: OgreRenderTargetListener.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderTargetListener.h</h1><a href="OgreRenderTargetListener_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __RenderTargetListener_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __RenderTargetListener_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036 
<a name="l00039"></a><a class="code" href="structOgre_1_1RenderTargetEvent.html">00039</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1RenderTargetEvent.html" title="Struct containing information about a RenderTarget event.">RenderTargetEvent</a>
<a name="l00040"></a>00040     {
<a name="l00042"></a><a class="code" href="structOgre_1_1RenderTargetEvent.html#ceb69f7a9bbb3b126fea2bfded331a41">00042</a>         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &amp;#39;canvas&amp;#39; which can receive the results of a rendering operation.">RenderTarget</a>* <a class="code" href="structOgre_1_1RenderTargetEvent.html#ceb69f7a9bbb3b126fea2bfded331a41" title="The source of the event being raised.">source</a>;
<a name="l00043"></a>00043     };
<a name="l00044"></a>00044 
<a name="l00047"></a><a class="code" href="structOgre_1_1RenderTargetViewportEvent.html">00047</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>
<a name="l00048"></a>00048     {
<a name="l00050"></a><a class="code" href="structOgre_1_1RenderTargetViewportEvent.html#d70a30225c318f3f6e3fc20b5edc34f6">00050</a>         <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html#d70a30225c318f3f6e3fc20b5edc34f6" title="The source of the event being raised.">source</a>;
<a name="l00051"></a>00051     };
<a name="l00052"></a>00052 
<a name="l00072"></a><a class="code" href="classOgre_1_1RenderTargetListener.html">00072</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a>
<a name="l00073"></a>00073     {
<a name="l00074"></a>00074         <span class="comment">/*</span>
<a name="l00075"></a>00075 <span class="comment">        Note that this could have been an abstract class, but I made</span>
<a name="l00076"></a>00076 <span class="comment">        the explicit choice not to do this, because I wanted to give</span>
<a name="l00077"></a>00077 <span class="comment">        people the option of only implementing the methods they wanted,</span>
<a name="l00078"></a>00078 <span class="comment">        rather than having to create 'do nothing' implementations for</span>
<a name="l00079"></a>00079 <span class="comment">        those they weren't interested in. As such this class follows</span>
<a name="l00080"></a>00080 <span class="comment">        the 'Adapter' classes in Java rather than pure interfaces.</span>
<a name="l00081"></a>00081 <span class="comment">        */</span>
<a name="l00082"></a>00082     <span class="keyword">public</span>:
<a name="l00083"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#fb5752b727803f415b960ed9f2728f3a">00083</a>         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a>() {}
<a name="l00095"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#e6e3dc0a3a760bf152513fafbf51f9b3">00095</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> preRenderTargetUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetEvent.html" title="Struct containing information about a RenderTarget event.">RenderTargetEvent</a>&amp; evt) { }
<a name="l00104"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#722f37475162c91ee0dd6cebf03e63a3">00104</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postRenderTargetUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetEvent.html" title="Struct containing information about a RenderTarget event.">RenderTargetEvent</a>&amp; evt) { }
<a name="l00105"></a>00105 
<a name="l00106"></a>00106         <span class="comment">/* Called just before a Viewport on a RenderTarget is to be updated.</span>
<a name="l00107"></a>00107 <span class="comment">        @remarks</span>
<a name="l00108"></a>00108 <span class="comment">            This method is called before each viewport on the RenderTarget is</span>
<a name="l00109"></a>00109 <span class="comment">            rendered to. You can use this to perform per-viewport settings changes,</span>
<a name="l00110"></a>00110 <span class="comment">            such as showing / hiding particular overlays.</span>
<a name="l00111"></a>00111 <span class="comment">        */</span>
<a name="l00112"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#e0f7f5f1cdf13b5870d0da1cc8f1bd64">00112</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> preViewportUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt) { }
<a name="l00113"></a>00113 
<a name="l00114"></a>00114         <span class="comment">/* Called just after a Viewport on a RenderTarget is to be updated.</span>
<a name="l00115"></a>00115 <span class="comment">        @remarks</span>
<a name="l00116"></a>00116 <span class="comment">            This method is called after each viewport on the RenderTarget is</span>
<a name="l00117"></a>00117 <span class="comment">            rendered to. </span>
<a name="l00118"></a>00118 <span class="comment">        */</span>
<a name="l00119"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#343ada5be6be784ee83f3cb8ac48e319">00119</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postViewportUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt) { }
<a name="l00120"></a>00120 
<a name="l00124"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#b901ef7073b680203caf86792c2151ee">00124</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> viewportAdded(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt) {}
<a name="l00128"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#e39efc7491a7bbd3d5e2e3e5f84796c2">00128</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> viewportRemoved(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt) {}
<a name="l00129"></a>00129     };
<a name="l00130"></a>00130 }
<a name="l00131"></a>00131 
<a name="l00132"></a>00132 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:55 2008
</p>
</body>
</html>
